Skip to main content
GET
/
v1
/
pm
/
events
/
series
List event series
curl --request GET \
  --url https://relay.bayse.markets/v1/pm/events/series
import requests

url = "https://relay.bayse.markets/v1/pm/events/series"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://relay.bayse.markets/v1/pm/events/series', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "series": [
    {
      "id": "f1e2d3c4-b5a6-7890-abcd-ef1234567890",
      "slug": "crypto-btc-1h",
      "displayName": "Bitcoin Hourly Markets",
      "description": "Bitcoin price prediction markets that run every hour.",
      "category": "CRYPTO",
      "intervalType": "HOURLY",
      "assetSymbol": "BTC",
      "automationType": "CRYPTO_PRICE_UP_DOWN_HOURLY"
    },
    {
      "id": "e2d3c4b5-a697-8901-bcde-f12345678901",
      "slug": "crypto-eth-1d",
      "displayName": "Ethereum Daily Markets",
      "description": "Ethereum price prediction markets that run daily.",
      "category": "CRYPTO",
      "intervalType": "DAILY",
      "assetSymbol": "ETH",
      "automationType": "CRYPTO_PRICE_UP_DOWN_DAILY"
    }
  ],
  "pagination": {
    "page": 1,
    "size": 20,
    "lastPage": 1,
    "totalCount": 12
  }
}

Authentication

Public — no authentication required.

Query parameters

page
integer
default:"1"
Page number.
size
integer
default:"50"
Results per page (max 100).

Example request

curl "https://relay.bayse.markets/v1/pm/events/series?page=1&size=20"
const params = new URLSearchParams({ page: 1, size: 20 });
const response = await fetch(
  `https://relay.bayse.markets/v1/pm/events/series?${params}`
);
const data = await response.json();
import requests

resp = requests.get(
    'https://relay.bayse.markets/v1/pm/events/series',
    params={'page': 1, 'size': 20},
)
data = resp.json()
req, _ := http.NewRequest("GET", "https://relay.bayse.markets/v1/pm/events/series", nil)
q := req.URL.Query()
q.Add("page", "1")
q.Add("size", "20")
req.URL.RawQuery = q.Encode()
resp, _ := http.DefaultClient.Do(req)

Response

series
array
List of event series objects.
pagination
object
{
  "series": [
    {
      "id": "f1e2d3c4-b5a6-7890-abcd-ef1234567890",
      "slug": "crypto-btc-1h",
      "displayName": "Bitcoin Hourly Markets",
      "description": "Bitcoin price prediction markets that run every hour.",
      "category": "CRYPTO",
      "intervalType": "HOURLY",
      "assetSymbol": "BTC",
      "automationType": "CRYPTO_PRICE_UP_DOWN_HOURLY"
    },
    {
      "id": "e2d3c4b5-a697-8901-bcde-f12345678901",
      "slug": "crypto-eth-1d",
      "displayName": "Ethereum Daily Markets",
      "description": "Ethereum price prediction markets that run daily.",
      "category": "CRYPTO",
      "intervalType": "DAILY",
      "assetSymbol": "ETH",
      "automationType": "CRYPTO_PRICE_UP_DOWN_DAILY"
    }
  ],
  "pagination": {
    "page": 1,
    "size": 20,
    "lastPage": 1,
    "totalCount": 12
  }
}